gio-0.13.4.0: Binding to GIO

Maintainer | gtk2hs-devel@lists.sourceforge.net
Stability | alpha
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

System.GIO.Volumes.VolumeMonitor

Contents

- Details
- Types
- Methods
- Signals

Description

Synopsis

- newtype VolumeMonitor = VolumeMonitor (ForeignPtr VolumeMonitor)
- class GObjectClass o => VolumeMonitorClass o
- volumeMonitorGet :: IO VolumeMonitor
- volumeMonitorGetConnectedDrives :: VolumeMonitorClass monitor => monitor -> IO [Drive]
- volumeMonitorGetVolumes :: VolumeMonitorClass monitor => monitor -> IO [Drive]
- volumeMonitorGetMounts :: VolumeMonitorClass monitor => monitor -> IO [Drive]
- volumeMonitorGetMountForUUID :: (VolumeMonitorClass monitor, GlibString string) => monitor -> string -> IO (Maybe Mount)
- volumeMonitorGetVolumeForUUID :: (VolumeMonitorClass monitor, GlibString string) => monitor -> string -> IO (Maybe Volume)
- vmDriveChanged :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ())
- vmDriveConnected :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ())
- vmDriveDisconnected :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ())
- vmDriveEjectButton :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ())
- vmDriveStopButton :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ())
- vmMountAdded :: VolumeMonitorClass monitor => Signal monitor (Mount -> IO ())
- vmMountChanged :: VolumeMonitorClass monitor => Signal monitor (Mount -> IO ())
- vmMountPreUnmount :: VolumeMonitorClass monitor => Signal monitor (Mount -> IO ())
- vmMountRemoved :: VolumeMonitorClass monitor => Signal monitor (Mount -> IO ())
- vmVolumeAdded :: VolumeMonitorClass monitor => Signal monitor (Volume -> IO ())
- vmVolumeChanged :: VolumeMonitorClass monitor => Signal monitor (Volume -> IO ())
- vmVolumeRemoved :: VolumeMonitorClass monitor => Signal monitor (Volume -> IO ())

# Details

`VolumeMonitor` is for listing the user interesting devices and volumes on the computer. In other words, what a file selector or file manager would show in a sidebar.

`VolumeMonitor` is not thread-default-context aware, and so should not be used other than from the main thread, with no thread-default-context active.

# Types

newtype VolumeMonitor Source #

Constructors

VolumeMonitor (ForeignPtr VolumeMonitor) |

Instances

Eq VolumeMonitor Source # |
Methods (==) :: VolumeMonitor -> VolumeMonitor -> Bool # (/=) :: VolumeMonitor -> VolumeMonitor -> Bool #
Ord VolumeMonitor Source # |
Methods compare :: VolumeMonitor -> VolumeMonitor -> Ordering # (<) :: VolumeMonitor -> VolumeMonitor -> Bool # (<=) :: VolumeMonitor -> VolumeMonitor -> Bool # (>) :: VolumeMonitor -> VolumeMonitor -> Bool # (>=) :: VolumeMonitor -> VolumeMonitor -> Bool # max :: VolumeMonitor -> VolumeMonitor -> VolumeMonitor # min :: VolumeMonitor -> VolumeMonitor -> VolumeMonitor #
GObjectClass VolumeMonitor Source # |
Methods toGObject :: VolumeMonitor -> GObject # unsafeCastGObject :: GObject -> VolumeMonitor #
VolumeMonitorClass VolumeMonitor Source # |

class GObjectClass o => VolumeMonitorClass o Source #

Instances

VolumeMonitorClass VolumeMonitor Source # |

# Methods

volumeMonitorGet :: IO VolumeMonitor Source #

Gets the volume monitor used by gio.

volumeMonitorGetConnectedDrives :: VolumeMonitorClass monitor => monitor -> IO [Drive] Source #

Gets a list of drives connected to the system.

volumeMonitorGetVolumes :: VolumeMonitorClass monitor => monitor -> IO [Drive] Source #

Gets a list of the volumes on the system.

volumeMonitorGetMounts :: VolumeMonitorClass monitor => monitor -> IO [Drive] Source #

Gets a list of the mounts on the system.

volumeMonitorGetMountForUUID Source #

Arguments

:: (VolumeMonitorClass monitor, GlibString string) |
=> monitor |
-> string | `uuid` the UUID to look for
-> IO (Maybe Mount) | returns a `Mount` or `Nothing` if no such mount is available.

Finds a `Mount` object by its UUID (see `mountGetUuid`

volumeMonitorGetVolumeForUUID Source #

Arguments

:: (VolumeMonitorClass monitor, GlibString string) |
=> monitor |
-> string | `uuid` the UUID to look for
-> IO (Maybe Volume) | returns a `Volume` or `Nothing` if no such volume is available.

Finds a `Volume` object by its UUID (see `volumeGetUuid`)

# Signals

vmDriveChanged :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ()) Source #

Emitted when a drive changes.

vmDriveConnected :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ()) Source #

Emitted when a drive changes.

vmDriveDisconnected :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ()) Source #

Emitted when a drive changes.

vmDriveEjectButton :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ()) Source #

Emitted when the eject button is pressed on drive.

vmDriveStopButton :: VolumeMonitorClass monitor => Signal monitor (Drive -> IO ()) Source #

Emitted when the stop button is pressed on drive.

vmMountAdded :: VolumeMonitorClass monitor => Signal monitor (Mount -> IO ()) Source #

Emitted when a mount is added.

vmMountChanged :: VolumeMonitorClass monitor => Signal monitor (Mount -> IO ()) Source #

Emitted when a mount is changed.

vmMountPreUnmount :: VolumeMonitorClass monitor => Signal monitor (Mount -> IO ()) Source #

Emitted when a mount is about to be removed.

vmMountRemoved :: VolumeMonitorClass monitor => Signal monitor (Mount -> IO ()) Source #

Emitted when a mount is removed.

vmVolumeAdded :: VolumeMonitorClass monitor => Signal monitor (Volume -> IO ()) Source #

Emitted when a volume is added.

vmVolumeChanged :: VolumeMonitorClass monitor => Signal monitor (Volume -> IO ()) Source #

Emitted when a volume is changed.

vmVolumeRemoved :: VolumeMonitorClass monitor => Signal monitor (Volume -> IO ()) Source #

Emitted when a volume is removed.